************************************************************************
*                                                                      *
      subroutine rams(emev,a,ap,sigt,signe)
*                                                                      *
*     calculates xsects according to Ramsauer effect                   *
*     ref: Angeli and Csikai, NP A170,577-583(1971)                    *
*     sigt/signe=as-p*cos(q*a**0.3333-r)                               *
*                                                                      *
************************************************************************
*
      common /rz/     rz
*
*-----------------------------------------------------------------------
*
      c1=0.0825
      c2=-0.0057
      c3=0.14
      c4=-0.2
      c5=2.72
      c6=1.62
      c7=-5.3
      pi=3.1415927
*
      eroot=sqrt(emev)
*
      if(eroot.lt.3.) as=1.-c1*(3.-eroot)**2
      if(eroot.ge.3.) as=1.
*
      p=c2*eroot+c3
      q=c4*eroot+c5
*
      if(eroot.ge.4.) r=1.2
      if(eroot.lt.4.) r=c6*eroot+c7
      if(rz.eq.0.) rz=0.14
*
      rad = rz * a**0.3333
      wvl=0.1*1.22*(a+ap)/a*sqrt(14.1)/eroot
      signe=pi*(rad+wvl)**2
      sigt=2.*signe*(as-p*cos(q*a**0.3333-r))
*
      return
      end
